import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import lt05_pkg.DotController_VersionForQuestion1;
import lt05_pkg.BasicFrame;
import lt05_pkg.PolkaDotDataModel;

/**
 * This app is a GUI app. It instantiates a PolkaDotDataModel. It then passed
 * that model to a view that is created via an instance of BasicFrame. This view
 * installs itself as a listener on the model. Last, this app instantiates a
 * Dotcontroller, which listens for user mouse events and modifies the
 * PolkaDotDataModel upon certain events.
 * 
 * 
 * @author mb
 */
public class Question1 {
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Q1Runnable());
	}

	/*
	 * Q1Step 0 [0 marks]: the instructions in the README.java file must be
	 * followed for this and all other questions. If not, a negative mark will
	 * be entered here in order to apply a deduction.
	 */

	/*
	 * Q1Step 1 [2 marks]: Examine the API for the controller
	 * DotController_VersionForQuestion1. Identify the difference between the
	 * specification and the actual behaviour of the app when the user clicks
	 * the mouse. Modify the controller so that the app's behaviour matches the
	 * specification.
	 */
}

class Q1Runnable implements Runnable {
	@Override
	public void run() {
		PolkaDotDataModel model = new PolkaDotDataModel();
		JFrame view = new BasicFrame(model);
		new DotController_VersionForQuestion1(view, model);
	}
}
